Browse Source

Replace Fedora test image with F32

Fedora 31 was retired and the image is gone from mirrors.
heat-cfntools have been dropped from fedora images, disable
the test till that's resolved.

Fix contradicting lower constraints to make lower-constraints job pass.

Change-Id: Id869f83a46454897c2fe7a532eebfa2863befe5e
(cherry picked from commit 61e53c4eca)
(cherry picked from commit 779b39c975)
changes/19/771819/4
Matthias Runge 11 months ago
parent
commit
fb2e723653
  1. 4
      doc/source/getting_started/on_devstack.rst
  2. 2
      heat_integrationtests/cleanup_test_env.sh
  3. 4
      heat_integrationtests/pre_test_hook.sh
  4. 4
      heat_integrationtests/prepare_test_env.sh
  5. 3
      lower-constraints.txt
  6. 2
      requirements.txt
  7. 2
      test-requirements.txt

4
doc/source/getting_started/on_devstack.rst

@ -51,8 +51,8 @@ a VM image that heat can launch. To do that add the following to
`[[local|localrc]]` section of `local.conf`::
IMAGE_URL_SITE="https://download.fedoraproject.org"
IMAGE_URL_PATH="/pub/fedora/linux/releases/31/CloudImages/x86_64/images/"
IMAGE_URL_FILE="Fedora-Cloud-Base-31-1.9.x86_64.qcow2"
IMAGE_URL_PATH="/pub/fedora/linux/releases/32/Cloud/x86_64/images/"
IMAGE_URL_FILE="Fedora-Cloud-Base-32-1.6.x86_64.qcow2"
IMAGE_URLS+=","$IMAGE_URL_SITE$IMAGE_URL_PATH$IMAGE_URL_FILE
URLs for any cloud image may be specified, but fedora images from F20 contain

2
heat_integrationtests/cleanup_test_env.sh

@ -30,4 +30,4 @@ openstack flavor delete m1.heat_int
openstack flavor delete m1.heat_micro
# delete the image created
openstack image delete Fedora-Cloud-Base-31-1.9.x86_64
openstack image delete Fedora-Cloud-Base-32-1.6.x86_64

4
heat_integrationtests/pre_test_hook.sh

@ -44,9 +44,9 @@ echo "[[local|localrc]]" >> $localconf
# to network
if [[ -e /etc/ci/mirror_info.sh ]]; then
source /etc/ci/mirror_info.sh
echo "IMAGE_URLS+=${NODEPOOL_FEDORA_MIRROR}/releases/31/Cloud/x86_64/images/Fedora-Cloud-Base-31-1.9.x86_64.qcow2" >> $localconf
echo "IMAGE_URLS+=${NODEPOOL_FEDORA_MIRROR}/releases/32/Cloud/x86_64/images/Fedora-Cloud-Base-32-1.6.x86_64.qcow2" >> $localconf
else
echo "IMAGE_URLS+=https://download.fedoraproject.org/pub/fedora/linux/releases/31/Cloud/x86_64/images/Fedora-Cloud-Base-31-1.9.x86_64.qcow2" >> $localconf
echo "IMAGE_URLS+=https://download.fedoraproject.org/pub/fedora/linux/releases/32/Cloud/x86_64/images/Fedora-Cloud-Base-32-1.6.x86_64.qcow2" >> $localconf
fi
echo "CEILOMETER_PIPELINE_INTERVAL=60" >> $localconf

4
heat_integrationtests/prepare_test_env.sh

@ -46,7 +46,7 @@ function _config_iniset {
iniset $conf_file heat_plugin instance_type m1.heat_int
iniset $conf_file heat_plugin minimal_instance_type m1.heat_micro
iniset $conf_file heat_plugin image_ref Fedora-Cloud-Base-31-1.9.x86_64
iniset $conf_file heat_plugin image_ref Fedora-Cloud-Base-32-1.6.x86_64
iniset $conf_file heat_plugin minimal_image_ref $default_image_name
iniset $conf_file heat_plugin hidden_stack_tag hidden
@ -91,7 +91,7 @@ function _config_tempest_plugin
# Skip VolumeBackupRestoreIntegrationTest skipped until failure rate can be reduced ref bug #1382300
# Skip AutoscalingLoadBalancerTest and AutoscalingLoadBalancerv2Test as deprecated neutron-lbaas service is not enabled
iniset $conf_file heat_plugin skip_scenario_test_list 'AutoscalingLoadBalancerTest, AutoscalingLoadBalancerv2Test, \
SoftwareConfigIntegrationTest'
SoftwareConfigIntegrationTest, CfnInitIntegrationTest'
# Skip LoadBalancerv2Test as deprecated neutron-lbaas service is not enabled
iniset $conf_file heat_plugin skip_functional_test_list 'LoadBalancerv2Test'

3
lower-constraints.txt

@ -15,7 +15,7 @@ cmd2==0.8.1
contextlib2==0.5.5
coverage==4.0
croniter==0.3.4
cryptography==2.1
cryptography==2.1.4
debtcollector==1.19.0
decorator==4.2.1
deprecation==2.0
@ -95,6 +95,7 @@ pyasn1==0.4.2
pycadf==2.7.0
pycparser==2.18
pyflakes==0.8.1
Pygments==2.2.0
pyinotify==0.9.6
PyMySQL==0.7.6
PyNaCl==1.2.1

2
requirements.txt

@ -5,7 +5,7 @@
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cryptography>=2.1 # BSD/Apache-2.0
cryptography>=2.1.4 # BSD/Apache-2.0
eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0

2
test-requirements.txt

@ -4,7 +4,7 @@
# Hacking already pins down pep8, pyflakes and flake8
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
bandit!=1.6.0,>=1.1.0 # Apache-2.0
bandit!=1.6.0,>=1.1.0,<=1.6.2 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
kombu!=4.0.2,>=4.0.0 # BSD

Loading…
Cancel
Save